io.undertow.io

## Class DefaultIoCallback

- java.lang.Object
- - io.undertow.io.DefaultIoCallback

All Implemented Interfaces:
  IoCallback

    public class DefaultIoCallback
    extends Object
    implements IoCallback

A default callback implementation that simply ends the exchange

Author:
  Stuart Douglas
See Also:
  `IoCallback.END_EXCHANGE`

### Field Summary

### Fields inherited from interface io.undertow.io.IoCallback

`END_EXCHANGE`

### Constructor Summary

Constructors
`protected` `DefaultIoCallback()`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `onComplete(HttpServerExchange exchange, Sender sender)`
`void` `onException(HttpServerExchange exchange, Sender sender, IOException exception)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### DefaultIoCallback

    protected DefaultIoCallback()

### Method Detail

#### onComplete

    public void onComplete(HttpServerExchange exchange,
                           Sender sender)

Specified by:
  `onComplete` in interface `IoCallback`

#### onException

    public void onException(HttpServerExchange exchange,
                            Sender sender,
                            IOException exception)

Specified by:
  `onException` in interface `IoCallback`